/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of an external DB system.
 */
export interface ExternalDbSystemSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external DB system.
     */
    "id": string;
    /**
     * The user-friendly name for the DB system. The name does not have to be unique.
     */
    "displayName": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
    /**
     * The Oracle Grid home directory in case of cluster-based DB system and
     * Oracle home directory in case of single instance-based DB system.
     *
     */
    "homeDirectory"?: string;
    "databaseManagementConfig"?: model.ExternalDbSystemDatabaseManagementConfigDetails;
    /**
     * The current lifecycle state of the external DB system resource.
     */
    "lifecycleState": string;
    /**
     * Additional information about the current lifecycle state.
     */
    "lifecycleDetails"?: string;
    /**
     * The date and time the external DB system was created.
     */
    "timeCreated": Date;
    /**
     * The date and time the external DB system was last updated.
     */
    "timeUpdated": Date;
}
export declare namespace ExternalDbSystemSummary {
    function getJsonObj(obj: ExternalDbSystemSummary): object;
    function getDeserializedJsonObj(obj: ExternalDbSystemSummary): object;
}
