/**
 * Database Management API
 * Use the Database Management API to perform tasks such as obtaining performance and resource usage metrics
for a fleet of Managed Databases or a specific Managed Database, creating Managed Database Groups, and
running a SQL job on a Managed Database or Managed Database Group.

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details used to update a Database Management private endpoint.
 */
export interface UpdateDbManagementPrivateEndpointDetails {
    /**
     * The display name of the private endpoint.
     */
    "name"?: string;
    /**
     * The description of the private endpoint.
     */
    "description"?: string;
    /**
     * The OCIDs of the Network Security Groups to which the Database Management private endpoint belongs.
     *
     */
    "nsgIds"?: Array<string>;
}
export declare namespace UpdateDbManagementPrivateEndpointDetails {
    function getJsonObj(obj: UpdateDbManagementPrivateEndpointDetails): object;
    function getDeserializedJsonObj(obj: UpdateDbManagementPrivateEndpointDetails): object;
}
