/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20210929
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Connect Descriptor details. Required for Manual and UserManagerOci connection types.
 * If a Private Endpoint was specified for the Connection, the host should contain a valid IP address.
 *
 */
export interface CreateConnectDescriptor {
    /**
     * Host or IP address of the connect descriptor. Required if no connectString was specified.
     *
     */
    "host"?: string;
    /**
     * Port of the connect descriptor. Required if no connectString was specified.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
    /**
     * Database service name. Required if no connectString was specified.
     *
     */
    "databaseServiceName"?: string;
    /**
     * Connect String. Required if no host, port nor databaseServiceName were specified.
     * If a Private Endpoint was specified in the Connection, the host entry should be a valid IP address.
     * Supported formats:
     * Easy connect: <host>:<port>/<db_service_name>
     * Long format: (description= (address=(port=<port>)(host=<host>))(connect_data=(service_name=<db_service_name>)))
     *
     */
    "connectString"?: string;
}
export declare namespace CreateConnectDescriptor {
    function getJsonObj(obj: CreateConnectDescriptor): object;
    function getDeserializedJsonObj(obj: CreateConnectDescriptor): object;
}
