/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information pertaining to a module on a managed instance group.
 */
export interface ManagedInstanceGroupModuleSummary {
    /**
     * The name of the module that contains the stream.
     */
    "name": string;
    /**
     * The name of the module that contains the stream.
     */
    "enabledStream"?: string;
    /**
     * The list of installed profiles under the currently enabled module stream.
     */
    "installedProfiles"?: Array<string>;
    /**
     * The OCID of the software source that provides this module stream.
     */
    "softwareSourceId"?: string;
}
export declare namespace ManagedInstanceGroupModuleSummary {
    function getJsonObj(obj: ManagedInstanceGroupModuleSummary): object;
    function getDeserializedJsonObj(obj: ManagedInstanceGroupModuleSummary): object;
}
