/**
 *
 *
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.79.0/osmanagementhub/GetManagedInstanceAnalyticContent.ts.html |here} to see how to use GetManagedInstanceAnalyticContentRequest.
 */
export interface GetManagedInstanceAnalyticContentRequest extends common.BaseRequest {
    /**
     * This compartmentId is used to list managed instances within a compartment.
     * Or serve as an additional filter to restrict only managed instances with in certain compartment if other filter presents.
     *
     */
    "compartmentId"?: string;
    /**
     * The OCID of the managed instance group for which to list resources.
     */
    "managedInstanceGroupId"?: string;
    /**
     * The OCID of the lifecycle environment.
     */
    "lifecycleEnvironmentId"?: string;
    /**
     * The OCID of the lifecycle stage for which to list resources.
     */
    "lifecycleStageId"?: string;
    /**
     * A filter to return only instances whose managed instance status matches the given status.
     */
    "status"?: Array<model.ManagedInstanceStatus>;
    /**
     * A filter to return resources that match the given display names.
     */
    "displayName"?: Array<string>;
    /**
     * A filter to return resources that may partially match the given display name.
     */
    "displayNameContains"?: string;
    /**
     * Filter instances by Location. Used when report target type is compartment or group.
     */
    "instanceLocation"?: model.ManagedInstanceLocation;
    /**
     * A filter to return instances with number of available security updates equals to the number specified.
     */
    "securityUpdatesAvailableEqualsTo"?: number;
    /**
     * A filter to return instances with number of available bug updates equals to the number specified.
     */
    "bugUpdatesAvailableEqualsTo"?: number;
    /**
     * A filter to return instances with number of available security updates greater than the number specified.
     */
    "securityUpdatesAvailableGreaterThan"?: number;
    /**
     * A filter to return instances with number of available bug updates greater than the number specified.
     */
    "bugUpdatesAvailableGreaterThan"?: number;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
}
