/**
 *
 *
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.79.0/osmanagementhub/ListSoftwareSourceVendors.ts.html |here} to see how to use ListSoftwareSourceVendorsRequest.
 */
export interface ListSoftwareSourceVendorsRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment that contains the resources to list. This parameter is required.
     */
    "compartmentId": string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort software source vendors by. Only one sort order may be provided. Default order for name is ascending.
     *
     */
    "sortBy"?: ListSoftwareSourceVendorsRequest.SortBy;
    /**
     * The name of the entity to be queried.
     */
    "name"?: string;
}
export declare namespace ListSoftwareSourceVendorsRequest {
    enum SortBy {
        Name = "name"
    }
}
